# pandas.Series.str.findall

`Series.str.``findall`(pat, flags=0, **kwargs)

  Find all occurrences of pattern or regular expression in the Series/Index. Equivalent to `re.findall()`.

  Parameters:

  pat : string

  > Pattern or regular expression

  flags : int, default 0 (no flags)

  > re module flags, e.g. re.IGNORECASE

  Returns: | matches : Series/Index of lists

  See also

  `extractall`
    returns DataFrame with one column per capture group

Scroll To Top